org.opencv.aruco

## Class CharucoBoard

- java.lang.Object
- - org.opencv.aruco.Board
  - - org.opencv.aruco.CharucoBoard

-     public class CharucoBoard
      extends Board

- - ### Field Summary

    - ### Fields inherited from class org.opencv.aruco.Board

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CharucoBoard(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CharucoBoard` | `__fromPtr__(long addr)`
    `static CharucoBoard` | `create(int squaresX, int squaresY, float squareLength, float markerLength, Dictionary dictionary)`
    `void` | `draw(Size outSize, Mat img)`
    `void` | `draw(Size outSize, Mat img, int marginSize, int borderBits)`
    `protected void` | `finalize()`
    `MatOfPoint3f` | `get_chessboardCorners()`
    `Size` | `getChessboardSize()`
    `float` | `getMarkerLength()`
    `float` | `getSquareLength()`

    - ### Methods inherited from class org.opencv.aruco.Board

      `create, get_dictionary, get_ids, get_objPoints, getNativeObjAddr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CharucoBoard

          protected CharucoBoard(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static CharucoBoard __fromPtr__(long addr)

    - #### create

          public static CharucoBoard create(int squaresX,
                                            int squaresY,
                                            float squareLength,
                                            float markerLength,
                                            Dictionary dictionary)

    - #### getChessboardSize

          public Size getChessboardSize()

    - #### getMarkerLength

          public float getMarkerLength()

    - #### getSquareLength

          public float getSquareLength()

    - #### draw

          public void draw(Size outSize,
                           Mat img,
                           int marginSize,
                           int borderBits)

    - #### draw

          public void draw(Size outSize,
                           Mat img)

    - #### get_chessboardCorners

          public MatOfPoint3f get_chessboardCorners()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Board`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1